.zen-maru-gothic-regular {
    font-family: "Zen Maru Gothic", sans-serif;
    font-weight: 400;
    font-style: normal;
    }

.cherry-bomb-one-regular {
    font-family: "Cherry Bomb One", system-ui;
    font-weight: 400;
    font-style: normal;
    }

:root {
    --font-family: "Zen Maru Gothic";
    --color-1: #c1e1dc;
    --color-2: #ffeb94;
    --color-3: #fff2e5;
    --color-4: #cccccc;
    --color-5: #ffffff;
    --color-6: #ffbb75;
    }

body {
    background: var(--color-5);
    margin: 0;
    padding: 0;
    }

.wrapper {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

main {
    box-sizing: border-box;
    width: 98%;
    height: 98%;
    font-family: var(--font-family);
    border-radius: 1vw;
    border: solid 0.7vw var(--color-4);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    }

.h1-block {
    position: absolute;
    box-sizing: border-box;
    top: 4%;
    left: 2.5%;
    width: 10%;
    height: 12vw;
    padding: 0.1%;
    margin: 0;
    border: solid 0.2vw var(--color-4);
    border-radius: 0.3vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

.box-top {
    width: 100%;
    height: 49%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

.box-middle {
    width: 96%;
    height: 0.5%;
    background: var(--color-4);
    border: solid 0.1vw var(--color-4);
    }

.box-bottom {
    width: 100%;
    height: 49%;
    }

.logo {
    width: 100%;
    padding-top: 2.3vw;
    background: url(../imges/logo/logo.svg) center center / 100% auto no-repeat;
    font-size: 0;
    color: transparent;
    }

.h1-block p {
    margin: 0;
    font-size: 0.8vw;
    font-weight: normal;
    }

.h2-block {
    margin-top: 1%;
    padding: 0;
    line-height: 3vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

h2 {
    position: relative;
    color: var(--color-1);
    margin: 0;
    padding: 0;
    font-size: 3.5vw;
    font-family: 'Cherry Bomb One';
    }

h2::before, h2::after {
    content: 'Contact';
    position: absolute;
    inset: 0;
    color: transparent;
    pointer-events: none;
    }

h2::before {
    -webkit-text-stroke: 1.3vw var(--color-4);
    z-index: -5;
    }

h2::after {
    -webkit-text-stroke: 0.3vw var(--color-5);
    z-index: -3;
    }

.h2-block p {
    margin: 0;
    padding: 0;
    font-size: 1vw;
    }





@media (max-width: 1024px){





main {
    width: 98%;
    height: 98%;
    border-radius: 2vw;
    border: solid 1.5vw var(--color-4);

    }

.h1-block {
    top: 3%;
    left: 4%;
    width: 13%;
    height: 12%;
    border-radius: 0.5vw;
    }

.logo {
    height: 17%;
    }

.h1-block p {
    font-size: 1vw;

    margin: 0;
    font-weight: normal;
    }

.h2-block {
    margin-top: 0;
    line-height: 7vw;


    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

h2 {
    font-size: 7vw;


    position: relative;
    color: var(--color-1);
    margin: 0;
    padding: 0;
    font-family: 'Cherry Bomb One';
    }

h2::before {
    -webkit-text-stroke: 2.5vw var(--color-4);
    }

h2::after {
    -webkit-text-stroke: 0.8vw var(--color-5);
    }

.h2-block p {
    font-size: 2vw;
    
    margin: 0;
    padding: 0;
    }

}





@media (max-width: 500px){





main {
    width: 98%;
    height: 98%;
    border-radius: 2vw;
    border: solid 1.5vw var(--color-4);

    }

.h1-block {
    top: 2.5%;
    left: 4%;
    width: 15%;
    height: 10%;
    border: solid 0.6vw var(--color-4);
    border-radius: 0.5vw;
    }

.logo {
    height: 17%;
    }

.h1-block p {
    font-size: 1.2vw;
    margin: 0;
    font-weight: normal;
    }

.h2-block {
    margin-top: 0;
    line-height: 7vw;


    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

h2 {
    font-size: 7vw;


    position: relative;
    color: #c1e1dc;
    margin: 0;
    padding: 0;
    font-family: 'Cherry Bomb One';
    }

h2::before {
    -webkit-text-stroke: 2.5vw var(--color-4);
    }

h2::after {
    -webkit-text-stroke: 0.8vw var(--color-5);
    }

.h2-block p {
    font-size: 2vw;
    
    margin: 0;
    padding: 0;
    }

}